# Uses of Interface
org.opensaml.saml.saml2.core.AudienceRestriction

Packages that use AudienceRestriction
Package
Description
org.opensaml.saml.common.profile.impl
Actions and classes common to both SAML versions.
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of AudienceRestriction in org.opensaml.saml.common.profile.impl

Methods in org.opensaml.saml.common.profile.impl that return AudienceRestriction
Modifier and Type
Method
Description
`private AudienceRestriction`
AddAudienceRestrictionToAssertions.`getAudienceRestriction(Conditions conditions)`
Get the `AudienceRestriction` to which audiences will be added.

## Uses of AudienceRestriction in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return types with arguments of type AudienceRestriction
Modifier and Type
Method
Description
`List<AudienceRestriction>`
Conditions.`getAudienceRestrictions()`
Gets the audience restriction conditions for the assertion.

## Uses of AudienceRestriction in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement AudienceRestriction
Modifier and Type
Class
Description
`class`
`AudienceRestrictionImpl`
Concrete implementation of `AudienceRestriction`.
Methods in org.opensaml.saml.saml2.core.impl that return AudienceRestriction
Modifier and Type
Method
Description
`AudienceRestriction`
AudienceRestrictionBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AudienceRestriction`
AudienceRestrictionBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.core.impl that return types with arguments of type AudienceRestriction
Modifier and Type
Method
Description
`List<AudienceRestriction>`
ConditionsImpl.`getAudienceRestrictions()`
Gets the audience restriction conditions for the assertion.